#pragma once

#include "./profinet/profinet.hpp"
#include "./interprocess/shared_memory/profinet_shared_data.hpp"
#include "./interprocess/pipes/profinet_pipes.hpp"
#include <string>

class App {
public:
    bool Init(std::string profinet_config_file);
    void Run();
private:
    ProfinetPipes pipes_;
    ProfinetSharedData shared_data_;
    Profinet profinet_;
};